<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Vue Basics</title>
    <link
      href="https://fonts.googleapis.com/css2?family=Jost:wght@400;700&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="styles.css" />
    <script src="https://unpkg.com/vue@3/dist/vue.global.js" defer></script>
    <script src="app.js" defer></script>
  </head>
  <body>
    <header>
      <h1>Vue Events</h1>
    </header>
    <section id="events">
      <h2>Events in Action</h2>
      <button v-on:click="add(10)">Add 10</button>
      <!-- you can replace v-on: with @ - it is the same -->
      <button @click="reduce(5)">Subtract 5</button>
      <p>Result: {{ counter }}</p>
      <!-- you can replace v-bind: with : -->
      <input v-bind:value="name" type="text" v-on:input="setName($event, 'Schwarzmüller')">
      <input type="text" v-model="name"/>
      <input type="text" v-model="lastName"/>
      <button v-on:click="resetInput">Reset Input</button>
      <p>Your Name (computed): {{ fullName }}</p>
      <p>Your Name (watch): {{ firstLastName }}</p>
      <p>You are: {{ ageCategory }}</p>
      <input type="text" v-model="age">
      <p>{{ access }}</p>
    </section>
  </body>
</html>
